MPD

- Main Page
- Data Structures
- Files

- File List
- Globals

Functions

# src/audio_check.h File Reference

`#include "audio_format.h"`
`#include <glib.h>`
`#include <stdbool.h>`

Go to the source code of this file.

## Functions
static GQuark | audio_format_quark (void)
| The GLib quark used for errors reported by this library.
bool | audio_check_sample_rate (unsigned long sample_rate, GError **error_r)
bool | audio_check_sample_format (enum sample_format, GError **error_r)
bool | audio_check_channel_count (unsigned sample_format, GError **error_r)
bool | audio_format_init_checked (struct audio_format *af, unsigned long sample_rate, enum sample_format sample_format, unsigned channels, GError **error_r)
| Wrapper for audio_format_init(), which checks all attributes.

## Function Documentation

bool audio_check_channel_count | ( | unsigned | sample_format,
|  | GError ** | error_r
| ) |  |

bool audio_check_sample_format | ( | enum | sample_format,
|  | GError ** | error_r
| ) |  |

bool audio_check_sample_rate | ( | unsigned long | sample_rate,
|  | GError ** | error_r
| ) |  |

bool audio_format_init_checked | ( | struct audio_format * | af,
|  | unsigned long | sample_rate,
|  | enum sample_format | sample_format,
|  | unsigned | channels,
|  | GError ** | error_r
| ) |  |

Wrapper for audio_format_init(), which checks all attributes.

static GQuark audio_format_quark | ( | void |  | ) | `[inline, static]`

The GLib quark used for errors reported by this library.

Definition at line 32 of file audio_check.h.